<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_241) on Thu Mar 05 11:09:26 WAT 2020 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class com.example.bookMicroservice.models.Book (bookMicroservice 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2020-03-05">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class com.example.bookMicroservice.models.Book (bookMicroservice 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/example/bookMicroservice/models/class-use/Book.html" target="_top">Frames</a></li>
<li><a href="Book.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class com.example.bookMicroservice.models.Book" class="title">Uses of Class<br>com.example.bookMicroservice.models.Book</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#com.example.bookMicroservice.controller">com.example.bookMicroservice.controller</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.example.bookMicroservice.mapper">com.example.bookMicroservice.mapper</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.example.bookMicroservice.models">com.example.bookMicroservice.models</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#com.example.bookMicroservice.repositories">com.example.bookMicroservice.repositories</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#com.example.bookMicroservice.services">com.example.bookMicroservice.services</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="com.example.bookMicroservice.controller">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a> in <a href="../../../../../com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a> that return <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookController.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/controller/BookController.html#addBook-com.example.bookMicroservice.models.Book-">addBook</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>
<div class="block">create a new book</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookController.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/controller/BookController.html#getBokkById-java.lang.Long-">getBokkById</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;id)</code>
<div class="block">This method returns book by id</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookController.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/controller/BookController.html#getbookByName-java.lang.String-">getbookByName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">return book properties by book name</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/controller/package-summary.html">com.example.bookMicroservice.controller</a> with parameters of type <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookController.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/controller/BookController.html#addBook-com.example.bookMicroservice.models.Book-">addBook</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>
<div class="block">create a new book</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BookController.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/controller/BookController.html#delete-com.example.bookMicroservice.models.Book-">delete</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>
<div class="block">delete book from database</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.example.bookMicroservice.mapper">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a> in <a href="../../../../../com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a> that return <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookDtoMapper.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/mapper/BookDtoMapper.html#bookDtoToBook-com.example.bookMicroservice.dto.BookDto-">bookDtoToBook</a></span>(<a href="../../../../../com/example/bookMicroservice/dto/BookDto.html" title="class in com.example.bookMicroservice.dto">BookDto</a>&nbsp;bookDto)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/mapper/package-summary.html">com.example.bookMicroservice.mapper</a> with parameters of type <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/example/bookMicroservice/dto/BookDto.html" title="class in com.example.bookMicroservice.dto">BookDto</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookDtoMapper.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/mapper/BookDtoMapper.html#bookToBookDTO-com.example.bookMicroservice.models.Book-">bookToBookDTO</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.example.bookMicroservice.models">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a> in <a href="../../../../../com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subclasses, and an explanation">
<caption><span>Subclasses of <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a> in <a href="../../../../../com/example/bookMicroservice/models/package-summary.html">com.example.bookMicroservice.models</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/models/Magazine.html" title="class in com.example.bookMicroservice.models">Magazine</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/models/Novel.html" title="class in com.example.bookMicroservice.models">Novel</a></span></code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.example.bookMicroservice.repositories">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a> in <a href="../../../../../com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a> that return <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookRepository.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/repositories/BookRepository.html#findByName-java.lang.String-">findByName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/repositories/package-summary.html">com.example.bookMicroservice.repositories</a> that return types with arguments of type <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">LibraryRepository.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/repositories/LibraryRepository.html#findBookByName-java.lang.String-">findBookByName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">StockRepository.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/repositories/StockRepository.html#findByLibraryName-java.lang.String-">findByLibraryName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="com.example.bookMicroservice.services">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a> in <a href="../../../../../com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a> that return <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BookService.html#addBook-com.example.bookMicroservice.models.Book-">addBook</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BusinessService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BusinessService.html#getBookById-java.lang.Long-">getBookById</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BookService.html#getBookById-java.lang.Long-">getBookById</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BookService.html#getBookByName-java.lang.String-">getBookByName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">get book by book name</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BusinessService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BusinessService.html#mostSoldNovelByAuthor-java.lang.Long-">mostSoldNovelByAuthor</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Long.html?is-external=true" title="class or interface in java.lang">Long</a>&nbsp;id)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a> that return types with arguments of type <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BusinessService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BusinessService.html#getAllBooks--">getAllBooks</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BusinessService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BusinessService.html#getBooksByLibraryName-java.lang.String-">getBooksByLibraryName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;libraryName)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../com/example/bookMicroservice/services/package-summary.html">com.example.bookMicroservice.services</a> with parameters of type <a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a></code></td>
<td class="colLast"><span class="typeNameLabel">BookService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BookService.html#addBook-com.example.bookMicroservice.models.Book-">addBook</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">BookService.</span><code><span class="memberNameLink"><a href="../../../../../com/example/bookMicroservice/services/BookService.html#deleteBook-com.example.bookMicroservice.models.Book-">deleteBook</a></span>(<a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Book</a>&nbsp;book)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../com/example/bookMicroservice/models/Book.html" title="class in com.example.bookMicroservice.models">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/example/bookMicroservice/models/class-use/Book.html" target="_top">Frames</a></li>
<li><a href="Book.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2020. All Rights Reserved.</small></p>
</body>
</html>
